Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deQ3Loader.cpp File Reference

Quake 3 BSP loader - do not create content in toolsets with restrictive licenses, Novus Delta will not be held liable for any infringements made on toolset licenses. More...

`#include "deBrush_priv.hpp"`
`#include "deDriver.hpp"`
`#include "deBitmap.hpp"`
`#include "deFileSystem.hpp"`
`#include "deLine_priv.hpp"`

Include dependency graph for deQ3Loader.cpp:

## Compounds
struct | q3_bspdata
struct | q3_direntry
struct | q3_face
struct | q3_header
struct | q3_lightmap
struct | q3_meshvert
struct | q3_texture
struct | q3_vertex
## Defines
#define | USE_ALL_STREAMS (0)
#define | USE_MESHVERTS (1)
#define | USE_PATCHES (1)
#define | REFINE_PATCHES (1)
#define | PATCH_DETAIL (8)
## Enumerations
enum | q3_lump_t { q3lump_Entities = 0, q3lump_Textures, q3lump_Planes, q3lump_Nodes, q3lump_Leafs, q3lump_LeafFaces, q3lump_LeafBrushes, q3lump_Models, q3lump_Brushes, q3lump_BrushSides, q3lump_Vertices, q3lump_MeshVerts, q3lump_Shaders, q3lump_Faces, q3lump_Lightmaps, q3lump_LightVolumes, q3lump_VisData, q3lump_MaxLumps }
## Functions
deBoolean | ReadQ3BSPFile (const char *filename, q3_bspdata &q3file)
DEBRUSH_API deBoolean | IdeBrush_LoadFromQ3BSP (const char *filename, IdeLargeStaticBrush *pBrush, deDouble Scale)

## Detailed Description

Quake 3 BSP loader - do not create content in toolsets with restrictive licenses, Novus Delta will not be held liable for any infringements made on toolset licenses.

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Mar 2003

Author:
  Assassin

Remarks:
  Creation

## Define Documentation

#define PATCH_DETAIL (8)

#define REFINE_PATCHES (1)

#define USE_ALL_STREAMS (0)

#define USE_MESHVERTS (1)

#define USE_PATCHES (1)

## Enumeration Type Documentation

enum q3_lump_t

  | Enumeration values:
  q3lump_Entities |
  q3lump_Textures |
  q3lump_Planes |
  q3lump_Nodes |
  q3lump_Leafs |
  q3lump_LeafFaces |
  q3lump_LeafBrushes |
  q3lump_Models |
  q3lump_Brushes |
  q3lump_BrushSides |
  q3lump_Vertices |
  q3lump_MeshVerts |
  q3lump_Shaders |
  q3lump_Faces |
  q3lump_Lightmaps |
  q3lump_LightVolumes |
  q3lump_VisData |
  q3lump_MaxLumps |

## Function Documentation

DEBRUSH_API deBoolean IdeBrush_LoadFromQ3BSP | ( | const char * | filename,
|  | IdeLargeStaticBrush * | pBrush,
|  | deDouble | Scale = 1.0
| ) |

| ONLY FOR TESTING PURPOSES! DO NOT use Quake 3 maps created in whole or in part with tools that restrict usage of the content. Q3Radiant may not be used to create content for Destiny3D without a full license to the Quake 3 engine.

deBoolean ReadQ3BSPFile | ( | const char * | filename,
|  | q3_bspdata & | q3file
| ) | `[static]`